> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Enrichment Provider



## OpenAPI

````yaml GET /v1/enrichment-providers/{provider_uuid}
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/enrichment-providers/{provider_uuid}:
    get:
      tags:
        - enrichment-providers
      summary: Get Enrichment Provider
      operationId: get_enrichment_provider_v1_enrichment_providers__provider_uuid__get
      parameters:
        - name: provider_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Provider Uuid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponse_EnrichmentProviderResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataResponse_EnrichmentProviderResponse_:
      properties:
        data:
          $ref: '#/components/schemas/EnrichmentProviderResponse'
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[EnrichmentProviderResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EnrichmentProviderResponse:
      properties:
        uuid:
          type: string
          format: uuid
          title: Uuid
        provider_name:
          type: string
          title: Provider Name
        display_name:
          type: string
          title: Display Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        is_builtin:
          type: boolean
          title: Is Builtin
        is_active:
          type: boolean
          title: Is Active
        supported_indicator_types:
          items:
            type: string
          type: array
          title: Supported Indicator Types
        http_config:
          additionalProperties: true
          type: object
          title: Http Config
        auth_type:
          type: string
          title: Auth Type
        has_credentials:
          type: boolean
          title: Has Credentials
          default: false
        is_configured:
          type: boolean
          title: Is Configured
          default: false
        env_var_mapping:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Env Var Mapping
        default_cache_ttl_seconds:
          type: integer
          title: Default Cache Ttl Seconds
        cache_ttl_by_type:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Cache Ttl By Type
        malice_rules:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Malice Rules
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - uuid
        - provider_name
        - display_name
        - is_builtin
        - is_active
        - supported_indicator_types
        - http_config
        - auth_type
        - default_cache_ttl_seconds
        - created_at
        - updated_at
      title: EnrichmentProviderResponse
      description: Response schema for enrichment provider endpoints.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````